Subject: Re: 85xx FDT updates?

From: Eugene Surovegin <[email-masked]>
Date: Tue, 25 Apr 2006 09:12:00 -0700

On Tue, Apr 25, 2006 at 09:05:54AM -0500, Kumar Gala wrote:
> 
> Second, this seems normal like normal kernel development to me.  I  
> think its reasonable to pick some time frame after which we will  
> remove the support and to let everyone know what that is.  I see this  
> as no different than having a driver outside of the kernel tree and  
> having it break when APIs change.

I don't agree. This is not the same as changing _internal_ kernel API 
for a simple reason that _firmware_ was never part of the kernel and 
will never be. You seem to have an idea that's that's OK to _remove_ 
existing functionality from the kernel for no reason except your 
convenience. I think this is unacceptable. If kernel was able to boot 
on some hardware (including reference one) in the past it should be 
able to do this now even if this will require some boot shim.

-- 
Eugene